libstoff Namespace Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Namespaces | Classes | Enumerations | Functions
libstoff Namespace Reference

namespace used to regroup all libwpd functions, enumerations which we have redefined for internal usage More...

## Namespaces
| Debug

## Classes
class | DebugFile
class | DebugStream
class | FileException
class | GenericException
class | ParseException
class | VersionException
class | WrongPasswordException

## Enumerations
enum | Position { Left = 0, Right = 1, Top = 2, Bottom = 3, HMiddle = 4, VMiddle = 5 }
| basic position enum More...
enum | { LeftBit = 0x01, RightBit = 0x02, TopBit =0x4, BottomBit = 0x08, HMiddleBit = 0x10, VMiddleBit = 0x20 }
| basic position enum bits More...
enum | NumberingType { NONE, BULLET, ARABIC, LOWERCASE, UPPERCASE, LOWERCASE_ROMAN, UPPERCASE_ROMAN }
enum | SubDocumentType { DOC_NONE, DOC_CHART, DOC_CHART_ZONE, DOC_COMMENT_ANNOTATION, DOC_GRAPHIC_GROUP, DOC_HEADER_FOOTER_REGION, DOC_NOTE, DOC_SHEET, DOC_TABLE, DOC_TEXT_BOX }

## Functions
uint8_t | readU8 (librevenge::RVNGInputStream *input)
librevenge::RVNGString | getString (std::vector< uint32_t > const &unicode)
| transform a unicode string in a RNVGString More...
void | appendUnicode (uint32_t val, librevenge::RVNGString &buffer)
| adds an unicode character to a string More...
std::string | numberingTypeToString (NumberingType type)
std::string | numberingValueToString (NumberingType type, int value)
bool | convertToDateTime (uint32_t date, uint32_t time, std::string &dateTime)
| convert a date/time in a date time format More...
STOFFVec2f | rotatePointAroundCenter (STOFFVec2f const &point, STOFFVec2f const &center, float angle)
| rotate a point around center, angle is given in degree More...
STOFFBox2f | rotateBoxFromCenter (STOFFBox2f const &box, float angle)
| rotate a bdox and returns the final bdbox, angle is given in degree More...
float | getScaleFactor (librevenge::RVNGUnit orig, librevenge::RVNGUnit dest)
| factor to convert from one unit to other More...

## Detailed Description

namespace used to regroup all libwpd functions, enumerations which we have redefined for internal usage

## Enumeration Type Documentation

anonymous enum

basic position enum bits

Enumerator
LeftBit |
RightBit |
TopBit |
BottomBit |
HMiddleBit |
VMiddleBit |

enum libstoff::NumberingType

Enumerator
NONE |
BULLET |
ARABIC |
LOWERCASE |
UPPERCASE |
LOWERCASE_ROMAN |
UPPERCASE_ROMAN |

enum libstoff::Position

basic position enum

Enumerator
Left |
Right |
Top |
Bottom |
HMiddle |
VMiddle |

enum libstoff::SubDocumentType

Enumerator
DOC_NONE |
DOC_CHART |
DOC_CHART_ZONE |
DOC_COMMENT_ANNOTATION |
DOC_GRAPHIC_GROUP |
DOC_HEADER_FOOTER_REGION |
DOC_NOTE |
DOC_SHEET |
DOC_TABLE |
DOC_TEXT_BOX |

## Function Documentation

void libstoff::appendUnicode | ( | uint32_t | val,
|  | librevenge::RVNGString & | buffer
| ) |  |

adds an unicode character to a string

Referenced by getString(), STOFFGraphicListener::insertUnicode(), STOFFSpreadsheetListener::insertUnicode(), and StarCellFormulaInternal::Token::updateFunction().

bool libstoff::convertToDateTime | ( | uint32_t | date,
|  | uint32_t | time,
|  | std::string & | dateTime
| ) |  |

convert a date/time in a date time format

Referenced by StarObject::readSfxDocumentInformation().

float libstoff::getScaleFactor | ( | librevenge::RVNGUnit | orig,
|  | librevenge::RVNGUnit | dest
| ) |  |

factor to convert from one unit to other

Referenced by STOFFSection::Column::addTo().

librevenge::RVNGString libstoff::getString | ( | std::vector< uint32_t > const & | unicode | ) |

transform a unicode string in a RNVGString

Referenced by operator<<(), StarObjectSmallText::read(), StarObjectModel::read(), StarGraphicStruct::StarBrush::read(), StarCellAttribute::StarCAttributePattern::read(), StarPageAttribute::StarPAttributePage::read(), StarCharAttribute::StarCAttributeFont::read(), StarGraphicAttribute::StarGAttributeNamed::read(), StarAttributeManager::readAttribute(), SDGParser::readBitmap(), StarObjectSpreadsheet::readCalcDocument(), SWFieldManager::readField(), StarObjectSmallGraphic::readFmFormObject(), StarFileManager::readFont(), StarFileManager::readJobSetUp(), StarFileManager::readMathDocument(), StarFormatManager::readNumberFormat(), StarFormatManager::readNumberFormatter(), StarObject::readPersistData(), StarObjectDraw::readPresentationData(), StarObjectSpreadsheet::readSCChangeTrack(), StarObjectSpreadsheet::readSCColumn(), StarObjectSpreadsheet::readSCData(), StarObjectSpreadsheet::readSCDBData(), StarObjectSpreadsheet::readSCDBPivot(), StarObjectChart::readSCHAttributes(), StarObjectChart::readSCHMemChart(), StarObjectSpreadsheet::readSCMatrix(), StarObjectSpreadsheet::readSCQueryParam(), StarObjectSpreadsheet::readSCTable(), StarCellFormula::readSCToken(), StarCellFormula::readSCToken3(), StarObjectDraw::readSdrCustomShow(), StarObjectModel::readSdrLayer(), StarObjectModel::readSdrLayerSet(), StarObjectSmallGraphic::readSDROutlinerParaObject(), StarObjectModel::readSdrPage(), StarObjectModel::readSdrPageUnknownZone1(), StarObjectSmallGraphic::readSDUDObject(), StarObject::readSfxDocumentInformation(), StarZone::readStringsPool(), StarItemPool::readStyles(), StarObjectSmallGraphic::readSVDRObject(), StarObjectSmallGraphic::readSVDRObjectAttrib(), StarObjectSmallGraphic::readSVDRObjectGraph(), StarObjectSmallGraphic::readSVDRObjectGroup(), StarObjectSmallGraphic::readSVDRObjectOLE(), StarFileManager::readSVGDI(), StarObjectText::readSWBookmarkList(), StarObjectText::readSWDBName(), StarObjectText::readSWDictionary(), StarObjectText::readSWEndNoteInfo(), StarObjectText::readSWFootNoteInfo(), StarFormatManager::readSWFormatDef(), StarObjectText::readSWGraphNode(), StarObjectText::readSWImageMap(), StarObjectText::readSWMacroTable(), StarFormatManager::readSWNumberFormat(), StarObjectText::readSWOLENode(), StarFormatManager::readSWPatternLCL(), StarObjectText::readSWRedlineList(), StarObjectText::readSWSection(), StarObjectText::readSWTextZone(), StarObjectText::readSWTOX51List(), StarObjectText::readSWTOXList(), StarItemPool::readV1(), StarItemPool::readV2(), StarObjectText::readWriterDocument(), and STOFFField::STOFFField().

std::string libstoff::numberingTypeToString | ( | NumberingType | type | ) |

Referenced by STOFFField::addTo().

std::string libstoff::numberingValueToString | ( | NumberingType | type,
|  | int | value
| ) |  |

uint8_t libstoff::readU8 | ( | librevenge::RVNGInputStream * | input | ) |

STOFFBox2f libstoff::rotateBoxFromCenter | ( | STOFFBox2f const & | box,
|  | float | angle
| ) |  |

rotate a bdox and returns the final bdbox, angle is given in degree

STOFFVec2f libstoff::rotatePointAroundCenter | ( | STOFFVec2f const & | point,
|  | STOFFVec2f const & | center,
|  | float | angle
| ) |  |

rotate a point around center, angle is given in degree

Referenced by rotateBoxFromCenter().